package router

import (
	"github.com/gofiber/fiber/v2"
	"krakatoa.net/backend/routers/api/v1/minecraft"
	"krakatoa.net/backend/routers/api/v1/mobile"
	"krakatoa.net/backend/routers/api/v1/voice"
)

func SetupWebRoutes(app *fiber.App) {
	// new routes

	apiV1 := app.Group("/v1")

	voiceV1 := apiV1.Group("/voice")

	voiceV1.Get("/:voiceWebCode", voice.GetVoiceWebToken)

	mobileV1 := apiV1.Group("/mobile")

	mobileV1.Get("/:mobileWebCode", mobile.GetMobileWebToken)

	minecraftV1 := apiV1.Group("/minecraft")

	minecraftV1.Get("/:accessKey/:serverName", minecraft.RestartServer)
}
